> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Product

> Get the required, optional, and integration specific fields by calling the [integrations](/api-reference/mgmt/integrations) endpoint.



## OpenAPI

````yaml put /wms/products/{product_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/products/{product_id}:
    put:
      tags:
        - wms
        - Products
      summary: Update Product
      description: >-
        Get the required, optional, and integration specific fields by calling
        the [integrations](/api-reference/mgmt/integrations) endpoint.
      operationId: put_wms_update_product
      parameters:
        - in: path
          name: product_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatewmsProductInputSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/wmsUpdateProductResponse'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    UpdatewmsProductInputSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/UpdateProductSchema--Base__Schema--'
        - $ref: >-
            #/components/schemas/UpdatewmsProduct--Cin7__Core__-_Dear__Systems_---
        - $ref: '#/components/schemas/UpdatewmsProduct--Deposco--'
        - $ref: '#/components/schemas/UpdatewmsProduct--Extensiv__-_3PL__Central_---'
        - $ref: '#/components/schemas/UpdatewmsProduct--Flexport__-_Deliverr_---'
        - $ref: '#/components/schemas/UpdatewmsProduct--Infoplus--'
        - $ref: '#/components/schemas/UpdatewmsProduct--Cart.com__-_Jazz__Central_---'
        - $ref: '#/components/schemas/UpdatewmsProduct--Linnworks--'
        - $ref: '#/components/schemas/UpdatewmsProduct--Logiwa__IO--'
        - $ref: '#/components/schemas/UpdatewmsProduct--MasonHub--'
        - $ref: '#/components/schemas/UpdatewmsProduct--Nimble--'
        - $ref: '#/components/schemas/UpdatewmsProduct--Ongoing__WMS--'
        - $ref: '#/components/schemas/UpdatewmsProduct--WMS__Sandbox--'
        - $ref: '#/components/schemas/UpdatewmsProduct--Shipfusion--'
        - $ref: '#/components/schemas/UpdatewmsProduct--ShipHero--'
        - $ref: '#/components/schemas/UpdatewmsProduct--ShipStream--'
        - $ref: '#/components/schemas/UpdatewmsProduct--SKUSavvy--'
        - $ref: >-
            #/components/schemas/UpdatewmsProduct--Linnworks__Core__-_SKUVault_---
        - $ref: '#/components/schemas/UpdatewmsProduct--Unleashed--'
        - $ref: '#/components/schemas/UpdatewmsProduct--Warehance--'
        - $ref: '#/components/schemas/UpdatewmsProduct--Whiplash__-_Ryder_---'
      title: UpdatewmsProductInputSchema
    wmsUpdateProductResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsProductApiItemSchema'
        id:
          type: string
          description: The ID of the object that has been created or modified
          example: id
        unused_fields:
          type: array
          description: Unused fields
          items:
            type: string
            description: ''
      required:
        - id
        - unused_fields
      additionalProperties: false
      title: wmsUpdateProductResponse
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    UpdateProductSchema--Base__Schema--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurements'
      required:
        - sku
      additionalProperties: true
      title: Base Schema
    UpdatewmsProduct--Cin7__Core__-_Dear__Systems_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        sku:
          type: string
          description: sku
          example: sku
        measurements:
          anyOf:
            - $ref: '#/components/schemas/ProductMeasurementsdear-systems'
            - type: 'null'
        costing_method:
          type: string
          enum:
            - FIFO
            - Special - Batch
            - Special - Serial Number
            - FIFO - Serial Number
            - FIFO - Batch
            - FEFO - Batch
            - FEFO - Serial Number
          description: Costing method for the product.
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
      additionalProperties: false
      title: Cin7 Core (Dear Systems)
    UpdatewmsProduct--Deposco--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          anyOf:
            - $ref: '#/components/schemas/ProductMeasurementsdeposco'
            - type: 'null'
        active:
          type: boolean
          default: true
          description: Whether the product is active, defaults to True.
          example: true
      additionalProperties: false
      title: Deposco
    UpdatewmsProduct--Extensiv__-_3PL__Central_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        gtin:
          type:
            - string
            - 'null'
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
      required:
        - warehouse_customer_id
      additionalProperties: false
      title: Extensiv (3PL Central)
    UpdatewmsProduct--Flexport__-_Deliverr_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          maxLength: 255
          description: name
          example: name
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsflexport'
        country_of_origin:
          type: string
          description: The country of origin of the product.
          example: USA
        harmonized_code:
          type: string
          pattern: ^[0-9]{10}$
          description: The harmonized HS code of the product.
          example: '123456'
        customs_value:
          type: number
          description: >-
            The customs value of the product in USD. Required when providing
            customs information.
          example: 0
        customs_description:
          type: string
          maxLength: 255
          description: >-
            The customs description of the product. Required when providing
            customs information.
      additionalProperties: false
      title: Flexport (Deliverr)
    UpdatewmsProduct--Infoplus--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_customer_id:
          type: string
          description: ID of the warehouse customer that owns this product
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsinfoplus'
        price:
          type: number
          description: Price of the product
          example: 0
      additionalProperties: false
      title: Infoplus
    UpdatewmsProduct--Cart.com__-_Jazz__Central_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        price:
          type: number
          description: The price of the product.
          example: 1
      required:
        - gtin
        - sku
      additionalProperties: false
      title: Cart.com (Jazz Central)
    UpdatewmsProduct--Linnworks--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        unit_price:
          type: number
          description: The price of the product.
          example: 10.99
        extended_properties:
          type: array
          description: Custom properties to attach to the product
          example:
            - name: Color
              value: Red
              type: Attribute
          items:
            $ref: '#/components/schemas/ExtendedPropertySchema'
        measurements:
          $ref: '#/components/schemas/ProductMeasurementslinnworks'
      additionalProperties: false
      title: Linnworks
    UpdatewmsProduct--Logiwa__IO--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        description:
          type: string
          description: ''
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
      additionalProperties: false
      title: Logiwa IO
    UpdatewmsProduct--MasonHub--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsmasonhub'
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        description:
          type: string
          description: Description of the product.
        customer_bar_code:
          type: string
          description: Customer provided bar code for this sku.
        brand_name:
          type: string
          description: Brand name for this sku and product.
        category:
          type: string
          description: Product category for this sku.
        sub_category:
          type: string
          description: Product sub category for this sku.
        vendor_brand_code:
          type: string
          description: Vendor provided brand code for identifying this sku.
        customer_brand_code:
          type: string
          description: >-
            Customer provided brand code for identifying this sku. Used on
            packing lists.
        vendor_style:
          type: string
          description: Vendor style code for item identification.
      required:
        - brand_name
        - category
        - customer_bar_code
        - customer_brand_code
        - description
        - measurements
        - name
        - sub_category
        - vendor_brand_code
        - vendor_style
      additionalProperties: false
      title: MasonHub
    UpdatewmsProduct--Nimble--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: Required.
          example: '123456789'
        vendor_sku:
          type: string
          description: An external vendor SKU
          example: '123456789'
        description:
          type: string
          description: Description of the product
          example: Description
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        name:
          type: string
          description: name
          example: name
        measurements:
          $ref: '#/components/schemas/NimbleProductMeasurements'
      required:
        - description
        - gtin
        - measurements
      additionalProperties: false
      title: Nimble
    UpdatewmsProduct--Ongoing__WMS--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
      additionalProperties: false
      title: Ongoing WMS
    UpdatewmsProduct--WMS__Sandbox--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: XS-RED-SHIRT
        name:
          type: string
          description: name
          example: XS Red Shirt
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: '012345678905'
        measurements:
          $ref: '#/components/schemas/ProductMeasurements'
      additionalProperties: false
      title: WMS Sandbox
    UpdatewmsProduct--Shipfusion--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        measurements:
          anyOf:
            - $ref: '#/components/schemas/ProductMeasurementsshipfusion'
            - type: 'null'
        price:
          type: number
          description: The retail price of the product
          example: 0
      required:
        - name
      additionalProperties: false
      title: Shipfusion
    UpdatewmsProduct--ShipHero--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsshiphero'
      additionalProperties: false
      title: ShipHero
    UpdatewmsProduct--ShipStream--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsshipstream'
      additionalProperties: false
      title: ShipStream
    UpdatewmsProduct--SKUSavvy--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsskusavvy'
        price:
          type: number
          description: Price of the product
          example: 0
      additionalProperties: false
      title: SKUSavvy
    UpdatewmsProduct--Linnworks__Core__-_SKUVault_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        classification:
          type: string
          description: Classification of the product. Defaults to 'General'
        supplier_object:
          $ref: '#/components/schemas/SupplierSchema'
          description: The supplier of the product.
        brand:
          type: string
          description: Brand name. Defaults to 'Generic'
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsskuvault'
      required:
        - measurements
      additionalProperties: false
      title: Linnworks Core (SKUVault)
    UpdatewmsProduct--Unleashed--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsunleashed'
      additionalProperties: false
      title: Unleashed
    UpdatewmsProduct--Warehance--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        unit_price:
          type: number
          description: The price of the product.
          example: 10.99
      additionalProperties: false
      title: Warehance
    UpdatewmsProduct--Whiplash__-_Ryder_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: ''
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
      required:
        - gtin
      additionalProperties: false
      title: Whiplash (Ryder)
    WmsProductApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the product.
          example: product_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the product was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the product was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type: string
          description: name
          example: name
        sku:
          type:
            - string
            - 'null'
          description: sku
          example: sku
        gtin:
          type:
            - string
            - 'null'
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        unit_price:
          type:
            - number
            - 'null'
          description: The price of the product.
          example: 10.99
        inventory_items:
          type: array
          description: A list of inventory items associated with the product.
          example:
            - inventory_item_id: id1
              sku: sku1
              unit_quantity: 1
            - inventory_item_id: id2
              sku: sku2
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/ProductInventoryItems'
        is_kit:
          type: boolean
          description: ''
          example: true
        active:
          type: boolean
          description: Whether the product is active.
          example: true
        supplier_object:
          anyOf:
            - $ref: '#/components/schemas/ProductSupplier'
            - type: 'null'
        country_of_origin:
          type:
            - string
            - 'null'
          description: The country of origin of the product.
          example: USA
        harmonized_code:
          type:
            - string
            - 'null'
          description: The harmonized HS code of the product.
          example: '123456'
        supplier_products:
          type: array
          description: A list of supplier products associated with the product.
          example:
            - supplier_id: id1
              supplier_name: name1
              external_id: ext_id1
              unit_cost: 1
            - supplier_id: id2
              supplier_name: name2
              external_id: ext_id2
              unit_cost: 2.5
          items:
            $ref: '#/components/schemas/ProductSupplierProducts'
        categories:
          type: array
          description: A list of category names associated with the product.
          example:
            - Electronics
            - Accessories
          items:
            type: string
            description: ''
        image_urls:
          type: array
          description: A list of image URLs associated with the product.
          example:
            - https://example.com/image1.jpg
          items:
            type: string
            description: ''
        external_system_url:
          type:
            - string
            - 'null'
          description: URL link to the product in the external system (WMS/Freight etc).
          example: https://example.com/product/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - active
        - additional_fields
        - categories
        - country_of_origin
        - created_date
        - external_system_url
        - gtin
        - harmonized_code
        - id
        - image_urls
        - inventory_items
        - is_kit
        - name
        - sku
        - supplier_object
        - supplier_products
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - unit_price
        - updated_date
        - warehouse_customer_id
      additionalProperties: false
      title: WmsProductApiItemSchema
    ProductMeasurements:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurements
    ProductMeasurementsdear-systems:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsdear-systems
    ProductMeasurementsdeposco:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsdeposco
    ProductMeasurementsflexport:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsflexport
    ProductMeasurementsinfoplus:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsinfoplus
    ExtendedPropertySchema:
      type: object
      properties:
        name:
          type: string
          description: Property name
        value:
          type: string
          description: Property value
        type:
          type: string
          enum:
            - Attribute
            - Channel
            - Compatibility
            - Condition
            - Fulfilment SKU
            - Other
            - Shipping
            - StockItem Label
          description: Property type
      required:
        - name
        - type
        - value
      additionalProperties: false
      title: ExtendedPropertySchema
    ProductMeasurementslinnworks:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementslinnworks
    ProductMeasurementsmasonhub:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsmasonhub
    NimbleProductMeasurements:
      type: object
      properties:
        length:
          type: number
          description: Length of the product.
          example: 1
        width:
          type: number
          description: Width of the product.
          example: 1
        height:
          type: number
          description: Height of the product.
          example: 1
        weight:
          type: number
          description: Weight of the product.
          example: 1
        unit:
          type: string
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight_unit:
          type: string
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - unit
        - weight_unit
      additionalProperties: false
      title: NimbleProductMeasurements
    ProductMeasurementsshipfusion:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsshipfusion
    ProductMeasurementsshiphero:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsshiphero
    ProductMeasurementsshipstream:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsshipstream
    ProductMeasurementsskusavvy:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsskusavvy
    SupplierSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/SupplierId'
        - $ref: '#/components/schemas/SupplierName'
      discriminator:
        propertyName: type
        mapping:
          id:
            $ref: '#/components/schemas/SupplierId'
          name:
            $ref: '#/components/schemas/SupplierName'
      title: SupplierSchema
    ProductMeasurementsskuvault:
      type: object
      properties:
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - weight
        - weight_unit
      additionalProperties: false
      title: ProductMeasurementsskuvault
    ProductMeasurementsunleashed:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsunleashed
    ProductInventoryItems:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            ID of the inventory item. Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: inv_id
        sku:
          type:
            - string
            - 'null'
          description: ''
        unit_quantity:
          type: integer
          description: The number of units of the inventory item in the product.
          example: 0
      required:
        - inventory_item_id
        - sku
        - unit_quantity
      additionalProperties: false
      title: ProductInventoryItems
    ProductSupplier:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
        supplier_name:
          type:
            - string
            - 'null'
          description: The name of the supplier.
          example: supplier_name
      required:
        - supplier_id
        - supplier_name
      additionalProperties: false
      title: ProductSupplier
    ProductSupplierProducts:
      type: object
      properties:
        supplier_id:
          type: string
          description: ID of the supplier.
          example: sup_id
        supplier_name:
          type:
            - string
            - 'null'
          description: Name of the supplier.
          example: sup_name
        external_id:
          type:
            - string
            - 'null'
          description: The external ID of the product from the supplier.
          example: ext_id
        unit_cost:
          type:
            - string
            - 'null'
          description: The cost of the product from the supplier.
          example: unit_cost
      required:
        - external_id
        - supplier_id
        - supplier_name
        - unit_cost
      additionalProperties: false
      title: ProductSupplierProducts
    SupplierId:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
      required:
        - supplier_id
      additionalProperties: false
      title: SupplierId
    SupplierName:
      type: object
      properties:
        supplier_name:
          type: string
          description: The name of the supplier.
          example: supplier_name
      required:
        - supplier_name
      additionalProperties: false
      title: SupplierName

````